Package org.apache.wiki.auth.acl

# Class AclImpl

java.lang.Object
org.apache.wiki.auth.acl.AclImpl

All Implemented Interfaces:
  `Serializable`, `org.apache.wiki.api.core.Acl`, `Acl`

public class AclImpl extends Object implements Acl, Serializable
JSPWiki implementation of an Access Control List.

Since:
  2.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AclImpl()`
Constructs a new AclImpl instance.

## Method Summary

Modifier and Type
Method
Description
`Enumeration<org.apache.wiki.api.core.AclEntry>`
`aclEntries()`
`boolean`
`addEntry(org.apache.wiki.api.core.AclEntry entry)`
`Principal[]`
`findPrincipals(Permission permission)`
`org.apache.wiki.api.core.AclEntry`
`getAclEntry(Principal principal)`
`boolean`
`isEmpty()`
`boolean`
`removeEntry(org.apache.wiki.api.core.AclEntry entry)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.auth.acl.Acl

`addEntry, entries, getEntry, removeEntry`

## Constructor Details

### AclImpl

public AclImpl()
Constructs a new AclImpl instance.

## Method Details

### findPrincipals

public Principal[] findPrincipals(Permission permission)

Specified by:
  `findPrincipals` in interface `org.apache.wiki.api.core.Acl`

### addEntry

public boolean addEntry(org.apache.wiki.api.core.AclEntry entry)

Specified by:
  `addEntry` in interface `org.apache.wiki.api.core.Acl`

### removeEntry

public boolean removeEntry(org.apache.wiki.api.core.AclEntry entry)

Specified by:
  `removeEntry` in interface `org.apache.wiki.api.core.Acl`

### aclEntries

public Enumeration<org.apache.wiki.api.core.AclEntry> aclEntries()

Specified by:
  `aclEntries` in interface `org.apache.wiki.api.core.Acl`

### getAclEntry

public org.apache.wiki.api.core.AclEntry getAclEntry(Principal principal)

Specified by:
  `getAclEntry` in interface `org.apache.wiki.api.core.Acl`

### isEmpty

public boolean isEmpty()

Specified by:
  `isEmpty` in interface `org.apache.wiki.api.core.Acl`

### toString

public String toString()

Overrides:
  `toString` in class `Object`